< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package scheduling
  Definition Classes
    play
- ExclusiveScheduledJob
- LockedScheduledJob
- RunningOfScheduledJobs
- ScheduledJob

p

uk.gov.hmrc.play

# scheduling 

#### package scheduling

### Type Members

1.  trait ExclusiveScheduledJob extends ScheduledJob
2.  trait LockedScheduledJob extends ScheduledJob
3.  trait RunningOfScheduledJobs extends AnyRef

   All implementing classes must be singletons - see https://www.playframework.com/documentation/2.6.x/ScalaDependencyInjection#Stopping/cleaning-up

4.  trait ScheduledJob extends AnyRef

### Ungrouped